# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Temp.pm) perl(LWP/Simple.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 00.1
%define module_name WWW-Wuala
BuildRequires: unzip
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 00.1
Release: alt1
Summary: Interface to the Wuala API
Group: Development/Perl
License: perl
URL: http://virii.lu

Source0: http://cpan.org.ua/authors/id/P/PE/PERFORIN/%module_name-%module_version.zip
BuildArch: noarch

%description
Wuala is a free social online storage which allows its users to securely store,
backup, and access files from anywhere and to share files easily with friends,
groups, and the world.

This moduls allows you to interact with the Wuala API.

Supported API calls:

download
preview
search
metadata
tops
mostRecent
breadcrumb
publicFiles
publicFolders
publicGroups
commentCount
comments

Extra:

wualaFilescounter



%prep
%setup -n %module_name-0.1
# depth is > 1 .. moving up
pushd "WWW-Wuala-0.1"
  mv -f * ../
  mv -f .* ../ ||:
popd

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README examples
%perl_vendor_privlib/W*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 00.1-alt1
- initial import by package builder

